/*
 *  Reset routines - for now, just restart the firmware at reset vector
 *
 * Copyright (C) 2000 TiVo Inc. All Rights Reserved.
 */

#include <linux/config.h>
#include <linux/mm.h>

void (*tivo_board_reboot)(void);

void tivo_restart(char *command)
{
	void *reset_vec = (void*)0xBFC00000;

#ifdef CONFIG_TIVO_DEVEL
	flush_cache_all();
#endif
	if (tivo_board_reboot)
		tivo_board_reboot();
	goto *reset_vec;
}

void tivo_halt(void)
{
	void *reset_vec = (void*)0xBFC00000;

	if (tivo_board_reboot)
		tivo_board_reboot();
	goto *reset_vec;
}

void tivo_power_off(void)
{
	void *reset_vec = (void*)0xBFC00000;

	if (tivo_board_reboot)
		tivo_board_reboot();
	goto *reset_vec;
}

